# Скрипты для обучения bert предсказанию кредитного дефолта по данным кредитных историй

https://ods.ai/competitions/dl-fintech-bki 

```python
# single gpu версия
CUDA_VISIBLE_DEVICES=0 python src/bert_training.py experiment_name
# data parallel версия 
CUDA_VISIBLE_DEVICES=0,1,2,3,4,5,6,7 python src/bert_training_dp.py experiment_name
# distributed data parallel версия 
CUDA_VISIBLE_DEVICES=0,1,2,3,4,5,6,7 torchrun --standalone --nproc-per-node=8 src/bert_training_ddp.py experiment_name
```

Логирование ведётся в tensorboard в папку `./logs/`. В папку с логами при запуске копируется текущая версия скрипта. Чекпоинты моделей сохраняются в папку `./checkpoints/`. 

Разбиение на обучающую и тестовую выборки осуществляется скриптом `train_test_split.py`. 
